Package io.papermc.paper.advancement

# Enum Class AdvancementDisplay.Frame

java.lang.Object
java.lang.Enum<AdvancementDisplay.Frame>
io.papermc.paper.advancement.AdvancementDisplay.Frame

All Implemented Interfaces:
  `Serializable`, `Comparable<AdvancementDisplay.Frame>`, `Constable`, `Translatable`

Enclosing interface:
  AdvancementDisplay

public static enum AdvancementDisplay.Frame extends Enum<AdvancementDisplay.Frame> implements Translatable
Defines how the `AdvancementDisplay.icon()` appears in the advancements screen and the color used with the `advancement name`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHALLENGE`
"Challenge complete" advancement.
`GOAL`
"Goal reached" advancement.
`TASK`
"Advancement made" advancement.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Index<String,AdvancementDisplay.Frame>`
`NAMES`
The name map.

## Method Summary

Modifier and Type
Method
Description
`@NotNull TextColor`
`color()`
Gets the `TextColor` used for the advancement name.
`@NotNull String`
`translationKey()`
Gets the translation key used when an advancement is completed.
`static AdvancementDisplay.Frame`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AdvancementDisplay.Frame[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHALLENGE

public static final AdvancementDisplay.Frame CHALLENGE
"Challenge complete" advancement.

The client will play the `ui.toast.challenge_complete` sound when the challenge is completed and the toast is shown.

### GOAL

public static final AdvancementDisplay.Frame GOAL
"Goal reached" advancement.

### TASK

public static final AdvancementDisplay.Frame TASK
"Advancement made" advancement.

## Field Details

### NAMES

public static final Index<String,AdvancementDisplay.Frame> NAMES
The name map.

## Method Details

### values

public static AdvancementDisplay.Frame[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AdvancementDisplay.Frame valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### color

@NotNull public @NotNull TextColor color()
Gets the `TextColor` used for the advancement name.

Returns:
  the text color

### translationKey

@NotNull public @NotNull String translationKey()
Gets the translation key used when an advancement is completed.

This is the first line of the toast displayed by the client.

Specified by:
  `translationKey` in interface `Translatable`
Returns:
  the toast message key